var mtvi_xtens = ".html";//declare default document extension
var mtvi_wlpn = window.location.pathname.split('/');
mtvi_wlpn.shift();//clear empty string from position 0

function mtvi_catchError(e) {
	var er = {message:'c21', name:'c22', stack:'c23'};
	var img = new Image();
	var scs = "http://viarnd.112.2o7.net/b/ss/viarnd/1/EMAIL?pageName=JS_ER-" + window.location;
	for(var i in e){
		if(typeof er[i] != 'undefined')
			scs += "&" + er[i] + "=" + e[i];
	}
	img.src = scs;
}

function mtvi_getChannel() {
	var mtvi_channel = "MTVI_UNDEFINED";
	try{mtvi_channel = mtvi_wlpn[0]==""?"index"+mtvi_xtens:mtvi_wlpn[0];}
	catch(e){
		mtvi_catchError(e);
	}
	return mtvi_channel;
}

function mtvi_getHierarchy() {
	var mtvi_heir2 = "MTVI_UNDEFINED";
	try{mtvi_heir2 = mtvi_getChannel()=="index"+mtvi_xtens?"index"+mtvi_xtens:mtvi_wlpn.join("/")}
	catch(e){
		mtvi_catchError(e);
	}
	return mtvi_heir2;
}

function mtvi_getPageName() {return window.location.pathname;}
function mtvi_getParams() {return window.location.search;}
;
var s_pageName=mtvi_getPageName();
var s_server="";
var s_channel=mtvi_getChannel();
var s_pageType="";
var s_prop1="";
try { s_prop1=gameID; } catch( err ) {}
var s_prop2="";
var s_prop3=mtvi_getParams();
var s_prop4="";
var s_prop5="";
var s_prop6="";
var s_prop7="";
var s_prop8="";
var s_prop9="";
var s_prop10="";
var s_prop11="";
var s_prop12="";
var s_prop13="";
var s_prop14="";
var s_prop15="";
var s_prop16="";
var s_prop17="";
var s_prop18="";
var s_prop19="";
var s_prop20="";
var s_prop21="";
var s_prop22="";
var s_prop23="";
var s_prop24="";
var s_prop25="";
var s_prop26="";
var s_prop27="";
var s_prop28="";
var s_prop29="";
var s_prop30="";
/* E-commerce Variables */
var s_campaign="";
var s_hier1=mtvi_getPageName();
var s_hier2=mtvi_getChannel();
var s_state="";
var s_zip="";
var s_events="";
var s_products="";
var s_purchaseID="";
var s_eVar1="";
var s_eVar2="";
var s_eVar3="";
var s_eVar4="";
var s_eVar5="";

/************************ ADDITIONAL FEATURES ************************
     Dynamic Account Selection
     Plugins
*/
var s_dynamicAccountSelection=true;
var s_account="viashockwave";
var s_dynamicAccountList="viashockwavedev=";
var s_linkInternalFilters="javascript:,shockwave.com";

/************************** CONFIG SECTION **************************
	You may add or alter any code config here.                       
	Specify the Report Suite ID(s) to track here
*/

/* E-commerce Config */
var s_currencyCode="USD"
var s_eVarCFG=""
/* Link Tracking Config */
var s_trackDownloadLinks=true
var s_trackExternalLinks=true
var s_trackInlineStats=true
/* linkInternalFilter moved to individual omni_config.js files JRRIII 12/04*/
var s_linkDownloadFileTypes="exe,zip,wav,mp3,mov,mpg,avi,wmv,doc,pdf,xls"
var s_linkLeaveQueryString=false
var s_linkTrackVars="s_eVar2,s_events,s_prop8"
var s_linkTrackEvents="None"
/* Plugin Config */
var s_usePlugins=true
function s_doPlugins() {
	/* Add calls to plugins here */
	/* External Campaigns */ 
	s_vp_getCGI('s_campaign','extcmp');
	/* Internal campaigns */
	s_vp_getCGI('s_eVar1','intcmp');
	/* Internal Search Terms */
	//s_vp_getCGI('s_eVar1','');
	s_vp_getCGI('s_eVar2','searchterm');
	s_vp_getCGI('s_eVar3','searchtype');
	//s_vp_getCGI('s_prop1','id');
	//s_vp_getCGI('s_prop2','type');
	//s_vp_getCGI('s_prop4','p');
}

/************************** PLUGINS SECTION *************************/
/* You may insert any plugins you wish to use here.                 */
/*
 * Plugin: Get Plugin Modified Value
 */
function s_vp_getValue(vs)
	{var k=vs.substring(0,2)=='s_'?vs.substring(2):vs;return s_wd[
	's_vpm_'+k]?s_wd['s_vpv_'+k]:s_gg(k)}
/*
 * Plugin: Get Query String CGI Variable Value
 */
function s_vp_getCGI(vs,k)
	{var v='';if(k&&s_wd.location.search){var q=s_wd.location.search,
	qq=q.indexOf('?');q=qq<0?q:q.substring(qq+1);v=s_pt(q,'&',s_cgif,
	k)}s_vpr(vs,v)}function s_cgif(t,k){if(t){var te=t.indexOf('='),
	sk=te<0?t:t.substring(0,te),sv=te<0?'True':t.substring(te+1);if(
	sk==k)return s_epa(sv)}return ''}
/*
 * Plugin: Get Value From Cookie
 */
function s_vp_getCookie(vs,k)
	{s_vpr(vs,s_c_r(k))}
/*
 * Plugin Utilities v2.0 (Required For All Plugins)
 */
function s_vpr(vs,v){if(s_wd[vs])s_wd[vs]=s_wd[vs];else s_wd[vs]=''
if(vs.substring(0,2) == 's_')vs=vs.substring(2);s_wd['s_vpv_'+vs]=v
s_wd['s_vpm_'+vs]=1}function s_dt(tz,t){var d=new Date;if(t)d.setTime(
t);d=new Date(d.getTime()+(d.getTimezoneOffset()*60*1000))
return new Date(Math.floor(d.getTime()+(tz*60*60*1000)))}
function s_vh_gt(k,v){var vh='|'+s_c_r('s_vh_'+k),vi=vh.indexOf('|'+v
+'='),ti=vi<0?vi:vi+2+v.length,pi=vh.indexOf('|',ti),t=ti<0?'':
vh.substring(ti,pi<0?vh.length:pi);return t}function s_vh_gl(k){var
vh=s_c_r('s_vh_'+k),e=vh?vh.indexOf('='):0;return vh?(vh.substring(0,
e?e:vh.length)):''}function s_vh_s(k,v){if(k&&v){var e=new Date,st=
e.getTime(),y=e.getYear(),c='s_vh_'+k,vh='|'+s_c_r(c)+'|',t=s_vh_gt(k,
v);e.setYear((y<1900?y+1900:y)+5);if(t)vh=s_rep(vh,'|'+v+'='+t+'|','|'
);if(vh.substring(0,1)=='|')vh=vh.substring(1);if(vh.substring(
vh.length-1,vh.length)=='|')vh=vh.substring(0,vh.length-1);vh=v
+'=[PCC]'+(vh?'|'+vh:'');s_c_w(c,vh,e);if(s_vh_gt(k,v)!='[PCC]')
return 0;vh=s_rep(vh,'[PCC]',st);s_c_w(c,vh,e)}return 1}
